<?php
error_reporting(E_ALL);
error_reporting(-1);
ini_set('error_reporting', E_ALL);

	$respostas = array
	(
		array('1', '1', 'A', $_POST['resposta1_1']),
		array('2', '1', 'A', $_POST['resposta2_1_a']),
		array('2', '1', 'B', $_POST['resposta2_1_b']),
		array('2', '1', 'C', $_POST['resposta2_1_c']),
		array('2', '2', 'A', $_POST['resposta2_2']),
		array('3', '1', 'A', $_POST['resposta3_1_a']),
		array('3', '1', 'B', $_POST['resposta3_1_b']),
		array('3', '1', 'C', $_POST['resposta3_1_c']),
		array('3', '1', 'D', $_POST['resposta3_1_d']),
		array('3', '1', 'E', $_POST['resposta3_1_e']),
		array('3', '1', 'F', $_POST['resposta3_1_f']),
		array('3', '1', 'G', $_POST['resposta3_1_g']),
		array('4', '1', 'A', $_POST['resposta4_1_1_a']),
		array('4', '1', 'B', $_POST['resposta4_1_1_b']),
		array('4', '1', 'C', $_POST['resposta4_1_1_c']),
		array('4', '1', 'D', $_POST['resposta4_1_1_d']),
		array('4', '1', 'E', $_POST['resposta4_1_1_e']),
		array('4', '2', 'A', $_POST['resposta4_1_2_a']),
		array('4', '2', 'B', $_POST['resposta4_1_2_b']),
		array('4', '2', 'C', $_POST['resposta4_1_2_c']),
		array('4', '2', 'D', $_POST['resposta4_1_2_d']),
		array('5', '1', 'A', $_POST['resposta5_1_a']),
		array('5', '1', 'B', $_POST['resposta5_1_b']),
		array('5', '1', 'C', $_POST['resposta5_1_c']),
		array('5', '1', 'D', $_POST['resposta5_1_d']),
		array('5', '1', 'E', $_POST['resposta5_1_e']),
		array('6', '1', 'A', $_POST['resposta6_1']),
		array('6', '2', 'A', $_POST['resposta6_2'])
	);
	
	$comentarios = $_POST['comentarios'];
	$certificadoID = $_POST['certificadoID'];

	require('connect.php');
	include('wordVariaveis.php');
	include('docxtemplate.class.php');

	$conn = new PDO("mysql:host=$db_host; dbname=$db_name; charset=utf8", $db_user, $db_pass);
	
	$sql = "SELECT course_id, user_idnumber, filedata, emailRetorno, formacao, local, nome, areaFormacao, edicao, tecnico FROM certificado where id = :id";

	$statement = $conn->prepare($sql);
	
	$statement->bindValue(':id', $certificadoID);
	$statement->execute();
	$row = $statement->fetch(PDO::FETCH_ASSOC);

	if($row == false)
	{
		echo '<script>alert("Erro!"); history.go(-1)</script>';
	}
	else
	{	
		foreach ($respostas as $x)
		{
			setResposta($x[0], $x[1], $x[2], $x[3]);
		}
		
		$docx = new DOCXTemplate('F045B.docx');
		$docx->set('CFORM', $row['course_id']);
		$docx->set('FORMACAO', $row['formacao']);
		$docx->set('AREA', $row['areaFormacao']);
		$docx->set('LOCAL', $row['local']);
		$docx->set('EDICAO', $row['edicao']);
		$docx->set('FORMADOR', $row['nome']);
		$docx->set('TECNICO', $row['tecnico']);
		$docx->set('COMENTARIOS', $comentarios);
		$docx->set('DATAHOJE', date("d/m/Y"));

		foreach ($marcas as $x)
		{
			$mr = $x[0].'_'.$x[1].'_'.$x[2].'_'.$x[3];
			$docx->set($mr, $x[4]);
		}
		
		$filename = 'temp.docx';
		$docx->saveAs($filename);
		
		$name = $row['tecnico'];
		$email = $row['emailRetorno'];
		$to = "$name <$email>";
		$from = "Instituto CRIAP <no-reply@criap.com>";
		$subject = 'Envio de F045B - QUESTIONÁRIO DE AVALIAÇÃO DA FORMAÇÃO – EAD | '.$row['nome'];
		$fileatt = "./".$row['course_id']."_F045B.docx";
		$fileatttype = "application/msword";
		$fileattname = $row['course_id']."_F045B.docx";
		$headers = "From: $from";
		
		$txt = 'Modelo F045B / Versão 02_01/2018 / Auto Preenchimento'. '<br/><br/>';
		$txt = 'Formador - ' . $row['nome'] . '<br/>';
		$txt .= 'Curso - ' . $row['formacao'];
	
		// File
		$data = chunk_split(base64_encode(file_get_contents($filename)));

		$random_hash = md5(date('r', time()));
		$headers .= "\r\n" ."MIME-Version: 1.0\r\n";
		$headers .= "Content-Type: multipart/mixed; charset=utf-8; boundary = $random_hash\r\n\r\n";
	
		//plain text 
		$body = "--$random_hash\r\n";
		$body .= "Content-Type: text/html; charset=utf-8\\r\n";
		$body .= "Content-Transfer-Encoding: base64\r\n\r\n"; 
		$body .= chunk_split(base64_encode($txt));
	
		//attachment
		$body .= "--$random_hash\r\n";
		$body .="Content-Type: " . $fileatttype . "; name=".$fileattname."\r\n";
		$body .="Content-Disposition: attachment; filename=".$fileattname."\r\n";
		$body .="Content-Transfer-Encoding: base64\r\n";
		$body .="X-Attachment-Id: ".rand(1000,99999)."\r\n\r\n"; 
		$body .= $data;
	
		$result = mail($to, $subject, $body, $headers);			
		
		if($result)
		{
			$sqlUpdate = "UPDATE certificado SET inqueritoFill = 1 where id = :id";
			
			$statementUpdate = $conn->prepare($sqlUpdate);
			$statementUpdate->bindValue(':id', $certificadoID);
			$statementUpdate->execute();
						
			$name = $row['nome'];
			$email = $row['user_idnumber'];
			$to = "$name <$email>";
			$from = "Instituto CRIAP <no-reply@criap.com>";
			$subject = 'Envio de Certificado de Formação - EAD';
			$fileatt = "./" . $row['course_id'] . "_certificado.pdf";
			$fileatttype = "application/pdf";
			$fileattname = $row['course_id'] . "_certificado.pdf";
			$headers = "From: $from";

			$txt = "Estimado(a) Professor(a),<br/><br/>";
			$txt .= "Recebemos com sucesso o seu feedback relativo ao(à) ". $row['formacao'] . ", pelo que remetemos em anexo o seu Certificado de Experiência Formativa.<br/><br/>";
			$txt .= "O nosso propósito é oferecer aos nossos formandos a possibilidade de partilhar conhecimentos e experiências, com enfoque para a sua satisfação e desenvolvimento profissional e humano.<br/>";
			$txt .= "Neste sentido, agradecemos a sua valiosa participação.<br/><br/>";
			$txt .= "Encontramo-nos disponíveis para qualquer esclarecimento que seja necessário.<br/><br/>";
			$txt .= "Cordiais Cumprimentos,<br/>Drª. Adélia Magalhães<br/>Direção Pedagógica";					
			
			// File
			$data = $row['filedata'];
		
			$random_hash = md5(date('r', time()));
			$headers .= "\r\n" ."MIME-Version: 1.0\r\n";
			$headers .= "Content-Type: multipart/mixed; charset=utf-8; boundary = $random_hash\r\n\r\n";
			
			$data = chunk_split(base64_encode($data));

			//plain text 
			$body = "--$random_hash\r\n";
			$body .= "Content-Type: text/html; charset=utf-8\\r\n";
			$body .= "Content-Transfer-Encoding: base64\r\n\r\n"; 
			$body .= chunk_split(base64_encode($txt));
			
			//attachment
			$body .= "--$random_hash\r\n";
			$body .="Content-Type: " . $fileatttype . "; name=".$fileattname."\r\n";
			$body .="Content-Disposition: attachment; filename=".$fileattname."\r\n";
			$body .="Content-Transfer-Encoding: base64\r\n";
			$body .="X-Attachment-Id: ".rand(1000,99999)."\r\n\r\n"; 
			$body .= $data;
			
			mail($to, $subject, $body, $headers);
		}
	}
?>